Skip to content

Get Report ​

http
GET /api/v1/analytics/banned-products/blocked

Base URL: https://seller-analytics-api.wildberries.ru · Module: reports · Section: Blocked Items · Specification doc ↗

Returns the list of blocked listings.

Request limit per one seller account:

TypePeriodLimitIntervalBurst
Personal10 s1 request10 s6 requests
Service10 s1 request10 s6 requests
Base with secret10 s1 request10 s6 requests
Base1 h1 request1 h1 request

Parameters ​

NameInTypeReq.Description
sortquerystringyesSorting - brand — by brand - nmId — by WB item number - title — by item title - vendorCode — by seller item number - reason — by reason for blocking
orderquerystringyesData order - desc — from the largest numeric value to the smallest, from the last alphabetical value to the first - asc — from the smallest numeric value to the largest, from the first alphabetical value to the last

Responses ​

CodeDescriptionSchema
200SuccessGetV1AnalyticsBannedProducsBlockedResponse200
400Bad requestGetV1AnalyticsBannedProducsBlockedResponse400
401Unauthorizedobject
402Payment requiredobject
403Access deniedobject
429Too many requestsobject

Structure 200:

  • report object[] — Report
    • brand string — Brand
    • nmId integer<int64> — WB item number
    • title string — Item title
    • vendorCode string — Seller item number
    • reason string — Reason for blocking

Structure 400:

  • title string — Error title
  • status number — HTTP status code
  • detail string — Error details
  • requestId string — Unique request ID
  • origin string — WB internal service ID

Structure 401:

  • title string — Error title
  • detail string — Error details
  • code string — Internal error code
  • requestId string — Unique request ID
  • origin string — WB internal service ID
  • status number — HTTP status code
  • statusText string — Text of the HTTP status code
  • timestamp string — Request date and time

Structure 402:

Structure 403:

  • title string — Error title
  • detail string — Error details
  • code string — Internal error code
  • requestId string — Request ID
  • origin string — WB internal service ID
  • status number — HTTP status code
  • statusText string — Text of the HTTP status code
  • timestamp string — Request date and time

Structure 429:

  • title string — Error title
  • detail string — Error details
  • code string — Internal error code
  • requestId string — Unique request ID
  • origin string — WB internal service ID
  • status number — HTTP status code
  • statusText string — Text of the HTTP status code
  • timestamp string — Request date and time

Call examples ​

Arguments are shown as parameter names — substitute your own values. Languages whose client does not expose this operation are omitted.

python
from wb_api_client.reports import Configuration, ApiClient
from wb_api_client.reports.api import ReportsApi

cfg = Configuration(access_token="<your WB JWT>")
api = ReportsApi(ApiClient(cfg))

result = api.get_v1_analytics_banned_producs_blocked(sort=..., order=...)
print(result)
ts
import {
  Configuration,
  ReportsApi,
} from "@valeryverkhoturov/wb-api-client/reports";

const cfg = new Configuration({});
cfg.setAccessToken("<your WB JWT>");
const api = new ReportsApi(cfg);

const { data } = await api.getV1AnalyticsBannedProducsBlocked(sort, order);
console.log(data);
go
import (
	"context"
	"fmt"

	wbreports "github.com/ValeryVerkhoturov/wb-api-client-go/reports"
)

cfg := wbreports.NewConfiguration()
cfg.SetAccessToken("<your WB JWT>")
client := wbreports.NewAPIClient(cfg)

result, _, err := client.ReportsAPI.GetV1AnalyticsBannedProducsBlocked(context.Background()).Sort(sort).Order(order).Execute()
if err != nil {
    panic(err)
}
fmt.Printf("%+v\n", result)
java
import io.github.valeryverkhoturov.wbapi.reports.ApiClient;
import io.github.valeryverkhoturov.wbapi.reports.SecretString;
import io.github.valeryverkhoturov.wbapi.reports.api.ReportsApi;

ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<your WB JWT>"));
ReportsApi api = new ReportsApi(client);

System.out.println(api.getV1AnalyticsBannedProducsBlocked(sort, order));
php
use ValeryVerkhoturov\WbApiClient\Reports\Configuration;
use ValeryVerkhoturov\WbApiClient\Reports\SecretString;
use ValeryVerkhoturov\WbApiClient\Reports\Api\ReportsApi;
use GuzzleHttp\Client;

$config = (new Configuration())
    ->setAccessTokenSecret(new SecretString('<your WB JWT>'));
$api = new ReportsApi(new Client(), $config);

print_r($api->getV1AnalyticsBannedProducsBlocked($sort, $order));
bsl
#Использовать "wb-api-client"

Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<your WB JWT>");
Клиент = Новый ReportsApi(Настройки);

Сообщить(Клиент.GetV1AnalyticsBannedProducsBlocked(sort, order).Тело);
csharp
using ValeryVerkhoturov.WbApiClient.Reports.Api;
using ValeryVerkhoturov.WbApiClient.Reports.Client;

var config = new Configuration();
config.AccessTokenSecret = new SecretString("<your WB JWT>");
var api = new ReportsApi(config);

Console.WriteLine(api.GetV1AnalyticsBannedProducsBlocked(sort, order));
rust
use wb_api_client::reports::apis::{configuration::Configuration, reports_api};

#[tokio::main]
async fn main() {
    let mut cfg = Configuration::new();
    cfg.set_access_token("<your WB JWT>");

    let result = reports_api::get_v1_analytics_banned_producs_blocked(&cfg, sort, order).await;
    println!("{:#?}", result);
}